"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ErrorResult = void 0;
var ErrorResult = /** @class */ (function () {
    function ErrorResult() {
    }
    ErrorResult.response = function (type, message, details) {
        var errorResult = {
            statusCode: 400,
            body: JSON.stringify({
                errorType: type,
                errorMessage: message,
                details: details,
            }),
        };
        return errorResult;
    };
    ErrorResult.responseFromFailure = function (error) {
        var _a, _b;
        var errorResult = {
            statusCode: 400,
            body: JSON.stringify({
                errorType: (_a = error === null || error === void 0 ? void 0 : error.errorType) !== null && _a !== void 0 ? _a : 'An Error',
                errorMessage: (_b = error === null || error === void 0 ? void 0 : error.errorMessage) !== null && _b !== void 0 ? _b : 'Please try again later',
                details: error === null || error === void 0 ? void 0 : error.details,
            }),
        };
        return errorResult;
    };
    ErrorResult.responseFromAuth = function () {
        var errorResult = {
            statusCode: 401,
            body: JSON.stringify({
                errorType: 'Unauthorized',
                errorMessage: 'No Access',
                details: 'You are not authorized to access this resource. Please contact the administrator.',
            }),
        };
        return errorResult;
    };
    return ErrorResult;
}());
exports.ErrorResult = ErrorResult;
