export interface ErrorResponse {
    errorMessage: string;
    errorType: string;
    details?: any;
}
export declare class ServiceResult<T> {
    readonly success: boolean;
    readonly failure: boolean;
    readonly statusCode: number;
    readonly status: string;
    readonly content: T | null;
    readonly error: ErrorResponse | null;
    private constructor();
    static Succeeded<T>(content: T): ServiceResult<T>;
    static Failed<T>(error: ErrorResponse): ServiceResult<T>;
}
export { SuccessResult } from './success-result';
export { ErrorResult } from './error-result';
