"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ErrorResult = exports.SuccessResult = exports.ServiceResult = void 0;
var ServiceResult = /** @class */ (function () {
    function ServiceResult(content, error, success) {
        this.content = content;
        this.error = error;
        this.success = success;
        this.failure = !success;
        this.statusCode = success ? 200 : 400;
        this.status = success ? 'Success' : 'Error';
    }
    ServiceResult.Succeeded = function (content) {
        return new ServiceResult(content, null, true);
    };
    ServiceResult.Failed = function (error) {
        return new ServiceResult(null, error, false);
    };
    return ServiceResult;
}());
exports.ServiceResult = ServiceResult;
var success_result_1 = require("./success-result");
Object.defineProperty(exports, "SuccessResult", { enumerable: true, get: function () { return success_result_1.SuccessResult; } });
var error_result_1 = require("./error-result");
Object.defineProperty(exports, "ErrorResult", { enumerable: true, get: function () { return error_result_1.ErrorResult; } });
